aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-mojolicious/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 15:17:00 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 15:18:17 +0000
commit581066780a842b7b011e93867a2c749bb2970a5e (patch)
tree78a0e32303e8a718381f3eebf27e1ddaba398bbe /testing/perl-mojolicious/APKBUILD
parent25d14e45d2a7e08addd496dafabd1bd93d4a45e6 (diff)
downloadaports-581066780a842b7b011e93867a2c749bb2970a5e.tar.gz
aports-581066780a842b7b011e93867a2c749bb2970a5e.tar.bz2
aports-581066780a842b7b011e93867a2c749bb2970a5e.tar.xz
testing/perl-mojolicious: new aport
Diffstat (limited to 'testing/perl-mojolicious/APKBUILD')
-rw-r--r--testing/perl-mojolicious/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-mojolicious/APKBUILD b/testing/perl-mojolicious/APKBUILD
new file mode 100644
index 0000000000..6534bd1af5
--- /dev/null
+++ b/testing/perl-mojolicious/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-mojolicious
+_pkgreal=Mojolicious
+pkgver=6.66
+pkgrel=0
+pkgdesc="Real-time web framework"
+url="http://search.cpan.org/dist/Mojolicious/"
+arch="noarch"
+license="Artistic-2"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SR/SRI/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="037c5baa6f95aef60eded5ae3348cb5d Mojolicious-6.66.tar.gz"
+sha256sums="3f847f5391247afacb03e1673aa652746f5b054ee0dd65228aae1bcecc7a0f8f Mojolicious-6.66.tar.gz"
+sha512sums="a135e84971086b0368c4e0528019798a5a703b6cf08efa78ef4711320ef59499e7eb03aa3434c11f331e5580d62d603582dac8c52275da8c509b04f80fdbb116 Mojolicious-6.66.tar.gz"